try {
  (() => {
    var __$$app$$__ = __$$hmAppManager$$__.currentApp;
    var __$$module$$__ = __$$app$$__.current;
    var h = new DeviceRuntimeCore.WidgetFactory(new DeviceRuntimeCore.HmDomApi(__$$app$$__, __$$module$$__), 'drink');
    /*
  * huamiOS bundle tool v1.0.17
  * Copyright © Huami. All Rights Reserved
  */
    'use strict';
    console.log("----->>>current");
    console.log(__$$hmAppManager$$__.currentApp.pid);
    console.log(__$$hmAppManager$$__.currentApp.current);

    let nHourX = 30
    let nHourY = 58    
    let nMinuteX = 122
    let nMinuteY = 205
    let nAmPmX = 250
    let nAmPmY = 159
    let nWeekX = 30
    let nWeekY = 221

    let nMonthX = 30
    let nMonthY = 185
    // let nDayX = 20
    // let nDayY = 258

    let arrFont = [];
    let arrWeek = [];
    let arrWeekSc = [];   
    let arrTimeHour = [];   
    let arrTimeMinute = [];     
    let arrAodTime = [];

    for (let i = 0; i < 10; i++) {
      arrFont.push(`images/date/${i}.png`)
      arrTimeHour.push(`images/time/hour/${i}.png`)    
      arrTimeMinute.push(`images/time/minute/${i}.png`)    
      arrAodTime.push(`images/aodtime/${i}.png`)  
      
    }   
    for (let i = 1; i < 8; i++) {
      arrWeek.push(`images/week/${i}.png`)
      arrWeekSc.push(`images/week/sc/${i}.png`)     
    }   
    const objWeekOption = {
      x: nWeekX,
      y: nWeekY,
      week_en: arrWeek,
      week_sc: arrWeekSc,
      week_tc: arrWeekSc,
      show_level: hmUI.show_level.ONLY_NORMAL
    }  
    let objTime = {
      hour_zero: true,
      hour_startX: nHourX,
      hour_startY: nHourY,
      hour_array: arrTimeHour,
      hour_align: hmUI.align.LEFT,
      hour_unit_sc: "images/time/dot.png",
      hour_unit_tc: "images/time/dot.png",
      hour_unit_en: "images/time/dot.png",
      minute_zero: true,
      minute_startX: nMinuteX,
      minute_startY: nMinuteY,
      minute_array: arrTimeMinute,
      minute_align: hmUI.align.LEFT,
      show_level: hmUI.show_level.ONLY_NORMAL  ,
    }  
    let objAodTime = {...objTime}
    objAodTime.hour_array = arrAodTime
    objAodTime.minute_array = arrAodTime
    objAodTime.show_level = hmUI.show_level.ONAL_AOD
    let objMonthOption = {
      month_startX: nMonthX,
      month_startY: nMonthY,
      month_zero: 1,
      month_en_array: arrFont,
      month_sc_array: arrFont,
      month_tc_array: arrFont,
      month_unit_sc: "images/date/slash.png", //单位
      month_unit_tc: "images/date/slash.png",
      month_unit_en: "images/date/slash.png",
      month_space: 1,//文字间隔
      // day_startX: nDayX,
      // day_startY: nDayY,
      day_follow: 1,
      day_zero: 1,
      day_space: 1,//文字间隔
      day_en_array: arrFont,
      day_sc_array: arrFont,
      day_tc_array: arrFont,
      show_level: hmUI.show_level.ONLY_NORMAL,
    }  
    let objAmPm = {
      am_x: nAmPmX,
      am_y: nAmPmY,
      am_sc_path: "images/ampm/amtc.png",
      am_en_path: "images/ampm/am.png",
      pm_x: nAmPmX,
      pm_y: nAmPmY,
      pm_sc_path: "images/ampm/pmtc.png",
      pm_en_path: "images/ampm/pm.png",
      show_level: hmUI.show_level.ONLY_NORMAL ,
    }
    let objImg = { //表盘底层背景
      x: 0,
      y: 0,
      src: "images/bg/bg.png",
      show_level: hmUI.show_level.ONLY_NORMAL,
    }    
    const logger = DeviceRuntimeCore.HmLogger.getLogger("defult");
    __$$module$$__.module = DeviceRuntimeCore.WatchFace({
      init_view() {
        hmUI.createWidget(hmUI.widget.IMG, objImg)      
        hmUI.createWidget(hmUI.widget.IMG_WEEK, objWeekOption)
        hmUI.createWidget(hmUI.widget.IMG_TIME, objTime)
        hmUI.createWidget(hmUI.widget.IMG_TIME, objAodTime)        
        hmUI.createWidget(hmUI.widget.IMG_TIME, objAmPm)
        hmUI.createWidget(hmUI.widget.IMG_DATE, objMonthOption)        
      },
      onInit() {
        console.log('index page.js on init invoke');
        this.init_view();
      },
      onReady() {
        console.log('index page.js on ready invoke')
      },
      onShow() {
        console.log('index page.js on show invoke')
      },
      onHide() {
        console.log('index page.js on hide invoke')
      },
      onDestory() {
        console.log('index page.js on destory invoke')
      },
    });
    /*
    * end js
    */
  })()
} catch (e) {
  console.log(e)
}
